RSS   Vulnerabilities for 'Network configurator'   RSS

2018-04-17
 
CVE-2018-8834

CWE-119
 

 
Parsing malformed project files in Omron CX-One versions 4.42 and prior, including the following applications: CX-FLnet versions 1.00 and prior, CX-Protocol versions 1.992 and prior, CX-Programmer versions 9.65 and prior, CX-Server versions 5.0.22 and prior, Network Configurator versions 3.63 and prior, and Switch Box Utility versions 1.68 and prior, may cause a heap-based buffer overflow.

 
 
CVE-2018-7530

CWE-118
 

 
Parsing malformed project files in Omron CX-One versions 4.42 and prior, including the following applications: CX-FLnet versions 1.00 and prior, CX-Protocol versions 1.992 and prior, CX-Programmer versions 9.65 and prior, CX-Server versions 5.0.22 and prior, Network Configurator versions 3.63 and prior, and Switch Box Utility versions 1.68 and prior, may allow the pointer to call an incorrect object resulting in an access of resource using incompatible type condition.

 
 
CVE-2018-7514

CWE-119
 

 
Parsing malformed project files in Omron CX-One versions 4.42 and prior, including the following applications: CX-FLnet versions 1.00 and prior, CX-Protocol versions 1.992 and prior, CX-Programmer versions 9.65 and prior, CX-Server versions 5.0.22 and prior, Network Configurator versions 3.63 and prior, and Switch Box Utility versions 1.68 and prior, may cause a stack-based buffer overflow.

 

 >>> Vendor: Omron 18 Products
Worldview
Openwnn
Ns10 hmi terminal
Ns12 hmi terminal
Ns15 hmi terminal
Ns5 hmi terminal
Ns8 hmi terminal
Ns series system program firmware
Cx-programmer
Cj2h plc
Cj2m plc
Cx-supervisor
Cx-flnet
Cx-one
Cx-protocol
Cx-server
Network configurator
Switch box utility


Copyright 2019, cxsecurity.com

 

Back to Top